Core - Task # 40965

Status: Resolved Priority: Should have

Author: Arvid Jakobsson Category: Code Cleanup

Created: 2012-09-16 Assigned To: Arvid Jakobsson

Updated: 2012-09-18 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:
Subject: Superfluous brackets in sysext sysexts "felogin”, "filelist", "form" and "func" after namespaces move

Description

The following syntax appears in various parts of these extensions:

- if ((('$root && 1$DBmount) && $elFromTable) && $GLOBALS['TCA'[$table]['ctrl']['sortby']) {
+ if (I$root && !1$DBmount && $elFromTable && $GLOBALS[' TCA"[$table]['ctrl']['sortby") {

Associated revisions

Revision 6234116 - 2012-09-18 12:47 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "felogin”, "filelist",

"form" and "func".

Change ("a"."b") . "c"into "a" . "b" . "c" using the lex-pass tool.

Change-Id: 12e9e0b8e339dae93c0361a6bal36e41beb0f54711
Resolves: #40965

Related: #40095

Reviewed-on: http://review.typo3.org/14624

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History

#1 - 2012-09-16 21:28 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14624

#2 - 2012-09-18 13:30 - Arvid Jakobsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:e62341f6c78daa0fb884248e6cfcf6c72a68fae9.
